org.apache.cassandra.utils.memory

## Class NativePool

- java.lang.Object
- - org.apache.cassandra.utils.memory.MemtablePool
  - - org.apache.cassandra.utils.memory.NativePool

    public class NativePool
    extends MemtablePool

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.utils.memory.MemtablePool

`MemtablePool.SubPool`

### Field Summary

### Fields inherited from class org.apache.cassandra.utils.memory.MemtablePool

`blockedOnAllocating, offHeap, onHeap`

### Constructor Summary

Constructors
Constructor and Description
`NativePool(long maxOnHeapMemory, long maxOffHeapMemory, float cleanThreshold, java.lang.Runnable cleaner)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NativeAllocator` `newAllocator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativePool

    public NativePool(long maxOnHeapMemory,
                      long maxOffHeapMemory,
                      float cleanThreshold,
                      java.lang.Runnable cleaner)

### Method Detail

#### newAllocator

    public NativeAllocator newAllocator()

Specified by:
  `newAllocator` in class `MemtablePool`